Bug 24040 - Собрать roundcube 0.4
: Собрать roundcube 0.4
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/roundcube)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
: 24046 24047
: 22819 24129
  Show dependency tree
 
Reported: 2010-09-08 12:08 by
Modified: 2011-02-04 17:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-09-08 12:08:55
August 07, 2010
Version 0.4 (stable) released
http://roundcube.net/news
------- Comment #1 From 2010-09-09 10:10:23 -------
На днях залью — потестирую чуток у себя только.
Из моего гита желающие могут пакет взять уже сейчас.
------- Comment #2 From 2010-09-09 11:41:57 -------
Для работы требуются свежие версии pear-Mail_Mime (в первую очередь) и
pear-Net_SMTP. Ждем пока их обновит мантейнер.
Для локальной сборки их также можно взять у меня в гите.
------- Comment #3 From 2010-10-04 09:45:27 -------
Свежие модули PEAR появились, в ближайшее время отправлю на сборку 0.4.1,
который у меня еще не совсем готов.

Если сильно нужно прямо сейчас — пишите, отправлю 0.4
------- Comment #4 From 2010-10-14 17:00:11 -------
roundcube-0.4.2-alt1 -> sisyphus:

* Mon Oct 11 2010 Timur Batyrshin <erthad@altlinux> 0.4.2-alt1
- 0.4.2

* Thu Sep 30 2010 Timur Batyrshin <erthad@altlinux> 0.4.1-alt1
- 0.4.1

* Wed Sep 08 2010 Timur Batyrshin <erthad@altlinux> 0.4-alt1
- 0.4 (closes #24040)
- added README.ALT (closes #22819)
- changed default logging destination to syslog (closes: #24129)
------- Comment #5 From 2010-10-16 13:49:12 -------
А Java точно нужна?
# rpm -e java-1.6.0-sun
error: removing these packages would break dependencies:
        /usr/bin/java   is needed by roundcube-0.4.2-alt1
------- Comment #6 From 2010-10-16 15:24:10 -------
При диагностике через installer сообщает, что нет необязательного расширения
FileInfo. Может быть, добавим?
Requires: php5-fileinfo
------- Comment #7 From 2010-10-19 13:08:58 -------
Из пакета стоит удалить
/usr/share/roundcube/plugins/managesieve/lib/Net
Заменив на
Requires: pear-Net_Sieve >= 1.3.0
------- Comment #8 From 2010-10-19 13:26:13 -------
(В ответ на комментарий №7)
> Из пакета стоит удалить
> /usr/share/roundcube/plugins/managesieve/lib/Net
В /usr/share/roundcube/plugins/managesieve/managesieve.php
при этом надо будет заменить подключение на
require_once('Net/Sieve.php');
------- Comment #9 From 2010-10-19 13:28:28 -------
Лучше для комментариев по сборке, все-же, создавать отдельный баг.
------- Comment #10 From 2010-10-19 13:42:52 -------
(В ответ на комментарий №7)
> Из пакета стоит удалить
> /usr/share/roundcube/plugins/managesieve/lib/Net

Это я удалю, и строчку в managesieve.php поправлю.

> Заменив на
> Requires: pear-Net_Sieve >= 1.3.0

Вообще, для плагинов решили Requires не проставлять, а указывать их в
README.ALT.
Если есть желание отпилить плагин в отдельный пакет с простановкой Requires --
могу дать ACL.
------- Comment #11 From 2010-10-23 12:19:15 -------
(В ответ на комментарий №9)
> Лучше для комментариев по сборке, все-же, создавать отдельный баг.
Отдельный баг по каждому комментарию? Я предположил, что небольшие замечания к
0.4 не повредят здесь.


(В ответ на комментарий №10)
> (В ответ на комментарий №7)
> > Из пакета стоит удалить
> > /usr/share/roundcube/plugins/managesieve/lib/Net
> 
> Это я удалю, и строчку в managesieve.php поправлю.
> 
> > Заменив на
> > Requires: pear-Net_Sieve >= 1.3.0
> 
> Вообще, для плагинов решили Requires не проставлять, а указывать их в
> README.ALT.
Тогда может и не стоит трогать /plugins/managesieve/lib/Net, пусть с собой
носит...

> Если есть желание отпилить плагин в отдельный пакет с простановкой Requires --
> могу дать ACL.
С другой стороны, управление фильтрацией — важный плагин. Я бы поделил плагины
на дефолтные и дополнительные, и для дефолтных проставил зависимости.

Впрочем, ситуацию понял, дело ваше. Отпилить managesieve в отдельный подпакет
могу, если считаете, что в этом есть смысл.
------- Comment #12 From 2010-11-22 09:54:17 -------
Как уже все, наверное, догадались по длительному молчанию — мне сейчас
совершенно не до пакетов. Когда через месяц-другой разгребусь — вернусь к этому
вопросу. Пока же могу только помочь выдачей ACL.
------- Comment #13 From 2011-01-31 09:04:30 -------
0.4 давно в сизифе.
------- Comment #14 From 2011-02-04 17:58:25 -------
Да, но замечания никуда не делись. См. комментарии #5, 6.